Debian Bug report logs - #182683
buffer overflow in checklist output

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>

Date: Thu, 27 Feb 2003 09:18:02 UTC

Severity: important

Fixed in version dialog/0.9b-20030302-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: locales: Cannot generate _all_ locales
Date: Thu, 27 Feb 2003 10:03:14 +0100
Package: locales
Version: 2.3.1-14
Severity: important

Hi! I'm not able to generate all locales.
When using 'dpkg-reconfigure locales' I selected all availabe locales in
the first question "Select locales to be generated". In the second
question for the default locale I only get the subset of all previosly
selected which you can see below in 'debconf information:
locales/locales_to_be_generated'. 

Yours Joerg


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux hitchhiker 2.4.20 #1 Thu Jan 9 09:17:02 CET 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages locales depends on:
ii  debconf                       1.2.29     Debian configuration management sy
ii  libc6 [glibc-2.3.1-14]        2.3.1-14   GNU C Library: Shared libraries an

-- debconf information:
* locales/default_environment_locale: C
* locales/locales_to_be_generated: es_DO ISO-8859-1, es_DO.UTF-8 UTF-8, es_EC ISO-8859-1, es_EC.UTF-8 UTF-8, es_ES@euro ISO-8859-15, es_ES ISO-8859-1, es_ES.UTF-8@euro UTF-8, es_ES.UTF-8 UTF-8, es_GT ISO-8859-1, es_GT.UTF-8 UTF-8, es_HN ISO-8859-1, es_HN.UTF-8 UTF-8, es_MX ISO-8859-1, es_MX.UTF-8 UTF-8, es_NI ISO-8859-1, es_NI.UTF-8 UTF-8, es_PA ISO-8859-1, es_PA.UTF-8 UTF-8, es_PE ISO-8859-1, es_PE.UTF-8 UTF-8, es_PR ISO-8859-1, es_PR.UTF-8 UTF-8, es_PY ISO-8859-1, es_PY.UTF-8 UTF-8, es_SV ISO-8859-1, es_SV.UTF-8 UTF-8, es_US ISO-8859-1, es_US.UTF-8 UTF-8, es_UY ISO-8859-1, es_UY.UTF-8 UTF-8, es_VE ISO-8859-1, es_VE.UTF-8 UTF-8, et_EE ISO-8859-1, et_EE.UTF-8 UTF-8, eu_ES@euro ISO-8859-15, eu_ES ISO-8859-1, eu_ES.UTF-8@euro UTF-8, eu_ES.UTF-8 UTF-8, fa_IR.UTF-8 UTF-8, fi_FI@euro ISO-8859-15, fi_FI ISO-8859-1, fi_FI.UTF-8@euro UTF-8, fi_FI.UTF-8 UTF-8, fo_FO ISO-8859-1, fo_FO.UTF-8 UTF-8, fr_BE@euro ISO-8859-15, fr_BE ISO-8859-1, fr_BE.UTF-8@euro UTF-8, fr_BE.UTF-8 UTF-8, fr_CA ISO-8859-1, fr_CA.UTF-8 UTF-8, fr_CH ISO-8859-1, fr_CH.UTF-8 UTF-8, fr_FR@euro ISO-8859-15, fr_FR ISO-8859-1, fr_FR.UTF-8@euro UTF-8, fr_FR.UTF-8 UTF-8, fr_LU@euro ISO-8859-15, fr_LU ISO-8859-1, fr_LU.UTF-8@euro UTF-8, fr_LU.UTF-8 UTF-8, ga_IE@euro ISO-8859-15, ga_IE ISO-8859-1, ga_IE.UTF-8@euro UTF-8, ga_IE.UTF-8 UTF-8, gl_ES@euro ISO-8859-15, gl_ES ISO-8859-1, gl_ES.UTF-8@euro UTF-8, gl_ES.UTF-8 UTF-8, gv_GB ISO-8859-1, gv_GB.UTF-8 UTF-8, he_IL ISO-8859-8, he_IL.UTF-8 UTF-8, hi_IN.UTF-8 UTF-8, hr_HR ISO-8859-2, hr_HR.UTF-8 UTF-8, hu_HU ISO-8859-2, hu_HU.UTF-8 UTF-8, id_ID ISO-8859-1, id_ID.UTF-8 UTF-8, is_IS ISO-8859-1, is_IS.UTF-8 UTF-8, it_CH ISO-8859-1, it_CH.UTF-8 UTF-8, it_IT@euro ISO-8859-15, it_IT ISO-8859-1, it_IT.UTF-8@euro UTF-8, it_IT.UTF-8 UTF-8, iw_IL ISO-8859-8, iw_IL.UTF-8 UTF-8, ja_JP.EUC-JP EUC-JP, ja_JP.UTF-8 UTF-8, ka_GE GEORGIAN-PS, kl_GL ISO-8859-1, kl_GL.UTF-8 UTF-8, ko_KR.EUC-KR EUC-KR, ko_KR.UTF-8 UTF-8, kw_GB ISO-8859-1, kw_GB.UTF-8 UTF-8, lt_LT ISO-8859-13, lt_LT.UTF-8 UTF-8, lv_LV ISO-8859-13, lv_LV.UTF-8 UTF-8, mi_NZ ISO-8859-13, mk_MK ISO-8859-5, mk_MK.UTF-8 UTF-8, mr_IN.UTF-8 UTF-8, ms_MY ISO-8859-1, ms_MY.UTF-8 UTF-8, mt_MT ISO-8859-3, mt_MT.UTF-8 UTF-8, nl_BE@euro ISO-8859-15, nl_BE ISO-8859-1, nl_BE.UTF-8@euro UTF-8, nl_BE.UTF-8 UTF-8, nl_NL@euro ISO-8859-15, nl_NL ISO-8859-1, nl_NL.UTF-8@euro UTF-8, nl_NL.UTF-8 UTF-8, nn_NO ISO-8859-1, nn_NO.UTF-8 UTF-8, no_NO ISO-8859-1, no_NO.UTF-8 UTF-8, oc_FR ISO-8859-1, pl_PL ISO-8859-2, pl_PL.UTF-8 UTF-8, pt_BR ISO-8859-1, pt_BR.UTF-8 UTF-8, pt_PT@euro ISO-8859-15, pt_PT ISO-8859-1, pt_PT.UTF-8@euro UTF-8, pt_PT.UTF-8 UTF-8, ro_RO ISO-8859-2, ro_RO.UTF-8 UTF-8, ru_RU ISO-8859-5, ru_RU.KOI8-R KOI8-R, ru_RU.UTF-8 UTF-8, ru_UA KOI8-U, ru_UA.UTF-8 UTF-8, se_NO UTF-8, sk_SK ISO-8859-2, sk_SK.UTF-8 UTF-8, sl_SI ISO-8859-2, sl_SI.UTF-8 UTF-8, sq_AL ISO-8859-1, sq_AL.UTF-8 UTF-8, sr_YU@cyrillic ISO-8859-5, sr_YU ISO-8859-2, sr_YU.UTF-8@cyrillic UTF-8, sr_YU.UTF-8 UTF-8, sv_FI@euro ISO-8859-15, sv_FI ISO-8859-1, sv_FI.UTF-8@euro UTF-8, sv_FI.UTF-8 UTF-8, sv_SE ISO-8859-1, sv_SE.ISO-8859-15 ISO-8859-15, sv_SE.UTF-8 UTF-8, ta_IN UTF-8, te_IN UTF-8, tg_TJ KOI8-T, th_TH TIS-620, th_TH.UTF-8 UTF-8, tl_PH ISO-8859-1, tr_TR ISO-8859-9, tr_TR.UTF-8 UTF-8, uk_UA KOI8-U, uk_UA.UTF-8 UTF-8, ur_PK UTF-8, uz_UZ ISO-8859-1, vi_VN.TCVN TCVN5712-1, vi_VN.UTF-8 UTF-8, wa_BE@euro ISO-8859-15, wa_BE ISO-8859-1, yi_US CP1255, zh_CN.GB18030 GB18030, zh_CN GB2312, zh_CN.GBK GBK, zh_CN.UTF-8 UTF-8, zh_HK BIG5-HKSCS, zh_HK.UTF-8 UTF-8, zh_TW BIG5, zh_TW.EUC-TW EUC-TW, zh_TW.UTF-8 UTF-8


-- 
Jörg Friedrich
Was ein Beamter nicht versteht, wird von ihm untersagt.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 182683@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Thu, 27 Feb 2003 19:04:25 +0900
At Thu, 27 Feb 2003 10:03:14 +0100,
Joerg Friedrich wrote:
> 
> Package: locales
> Version: 2.3.1-14
> Severity: important
> 
> Hi! I'm not able to generate all locales.
> When using 'dpkg-reconfigure locales' I selected all availabe locales in
> the first question "Select locales to be generated". In the second
> question for the default locale I only get the subset of all previosly
> selected which you can see below in 'debconf information:
> locales/locales_to_be_generated'. 

I couldn't reproduce it.  I selected all locales (except for "Leave
alone") in the first question, then in the second question I got full
list of selected locales.  Please drop all check in the first
question, select C in the 2nd question.  Then retry full selection.
If you see the same problem, please tell me /etc/environment and
/etc/locale.gen, plus debconf information.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 182683@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Thu, 27 Feb 2003 11:52:51 +0100
[Message part 1 (text/plain, inline)]
GOTO Masanori schrieb am Donnerstag, 27. Februar 2003 um 19:04:25 +0900:
> At Thu, 27 Feb 2003 10:03:14 +0100,
> Joerg Friedrich wrote:
> > 
> > Package: locales
> > Version: 2.3.1-14
> > Severity: important
> > 
> > Hi! I'm not able to generate all locales.
> > When using 'dpkg-reconfigure locales' I selected all availabe locales in
> > the first question "Select locales to be generated". In the second
> > question for the default locale I only get the subset of all previosly
> > selected which you can see below in 'debconf information:
> > locales/locales_to_be_generated'. 
> 
> I couldn't reproduce it.  I selected all locales (except for "Leave
> alone") in the first question, then in the second question I got full
> list of selected locales.  Please drop all check in the first
> question, select C in the 2nd question.  Then retry full selection.
> If you see the same problem, please tell me /etc/environment and
> /etc/locale.gen, plus debconf information.

I did as you suggested. But the problem is still there.

-- 
Heute ist nicht alle Tage, ich komm' wieder, keine Frage!!!

   Joerg

Nothing motivates a man more than to see his boss put in an honest day's work.
[environment (text/plain, attachment)]
[locale.gen (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 182683@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683@bugs.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Thu, 27 Feb 2003 22:47:19 +0900
At Thu, 27 Feb 2003 11:52:51 +0100,
Joerg Friedrich wrote:
> 
> [1  <text/plain; iso-8859-15 (7bit)>]
> GOTO Masanori schrieb am Donnerstag, 27. Februar 2003 um 19:04:25 +0900:
> > At Thu, 27 Feb 2003 10:03:14 +0100,
> > Joerg Friedrich wrote:
> > > 
> > > Package: locales
> > > Version: 2.3.1-14
> > > Severity: important
> > > 
> > > Hi! I'm not able to generate all locales.
> > > When using 'dpkg-reconfigure locales' I selected all availabe locales in
> > > the first question "Select locales to be generated". In the second
> > > question for the default locale I only get the subset of all previosly
> > > selected which you can see below in 'debconf information:
> > > locales/locales_to_be_generated'. 
> > 
> > I couldn't reproduce it.  I selected all locales (except for "Leave
> > alone") in the first question, then in the second question I got full
> > list of selected locales.  Please drop all check in the first
> > question, select C in the 2nd question.  Then retry full selection.
> > If you see the same problem, please tell me /etc/environment and
> > /etc/locale.gen, plus debconf information.
> 
> I did as you suggested. But the problem is still there.

Hmm, that's mysterious.  /etc/environment and /etc/locale.gen seems fine.

If it does not work, I think it's not locales bug.  Could you try the
same test on chroot environment, or other sid machine if you have.

Regards,
-- gotom




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 182683@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 08:42:49 +0100
On Thu, Feb 27, 2003 at 10:03:14AM +0100, Joerg Friedrich wrote:
> Package: locales
> Version: 2.3.1-14
> Severity: important
> 
> Hi! I'm not able to generate all locales.
> When using 'dpkg-reconfigure locales' I selected all availabe locales in
> the first question "Select locales to be generated". In the second
> question for the default locale I only get the subset of all previosly
> selected which you can see below in 'debconf information:
> locales/locales_to_be_generated'. 

Err, sounds weird.
Can you reproduce it?  If yes, please send your debconf settings as returned by
   debconf-show debconf
You could also try running
   DEBCONF_DEBUG=developer dpkg-reconfigure locales
to see if you can debug it.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 182683@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: GOTO Masanori <gotom@debian.or.jp>
Cc: 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 13:02:42 +0100
GOTO Masanori schrieb am Donnerstag, 27. Februar 2003 um 22:47:19 +0900:
> 
> Hmm, that's mysterious.  /etc/environment and /etc/locale.gen seems fine.
> 
> If it does not work, I think it's not locales bug.  Could you try the
> same test on chroot environment, or other sid machine if you have.

Yes, now I can confirm this.
I was not able to reproduce this neither in a sid chroot nor in a sid
chroot upgraded from woody.

Additionally I was able to generate all locales using the readline
interface from debconf. Btw it was easier to select all locales with
readline interface by pasting the output of seq 2 296 to the debconf
question :-)

Funny thing is, that debconf dialog interface is different in my sid
chroots to the one on my sid-machine. 
Visible difference: on the sid-machine, as on my woody-machine dialog
interface shows a big 'X' when selecting a locale, in chroot
environments it's an asterisk.

PS: Could you reassign this bug to debconf since I'm no wizard in bts
handling

-- 
Heute ist nicht alle Tage, ich komm' wieder, keine Frage!!!

   Joerg

The wages of sin are unreported.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 182683@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: Denis Barbier <barbier@linuxfr.org>
Cc: 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 13:08:04 +0100
Denis Barbier schrieb am Freitag, 28. Februar 2003 um 08:42:49 +0100:
> On Thu, Feb 27, 2003 at 10:03:14AM +0100, Joerg Friedrich wrote:
> You could also try running
>    DEBCONF_DEBUG=developer dpkg-reconfigure locales
> to see if you can debug it.

Yes, got it!
This was shown after selecting all locales in the first debconf question
(dialog-interface):
debconf (developer): Input value, "¬°@¬°@es_CR.UTF-8 UTF-8" not found in
C choices! This should never happen. Perhaps the templates were
incorrectly localized.
debconf (developer): --> 0 ok
debconf (developer): <-- GET locales/locales_to_be_generated
debconf (developer): --> 0 es_DO ISO-8859-1, es_DO.UTF-8 UTF-8, es_EC
ISO-8859-1, es_EC.UTF-8 UTF-8, es_ES ISO-8859-1, es_ES.UTF-8 UTF-8,
es_ES.UTF-8@euro UTF-8,

-- 
Heute ist nicht alle Tage, ich komm' wieder, keine Frage!!!

   Joerg

Those who cannot remember the past are condemned to repeat it.
		-- George Santayana



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#182683; Package locales. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 182683@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683@bugs.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 22:04:15 +0900
At Fri, 28 Feb 2003 13:02:42 +0100,
Joerg Friedrich wrote:
> GOTO Masanori schrieb am Donnerstag, 27. Februar 2003 um 22:47:19 +0900:
> > 
> > Hmm, that's mysterious.  /etc/environment and /etc/locale.gen seems fine.
> > 
> > If it does not work, I think it's not locales bug.  Could you try the
> > same test on chroot environment, or other sid machine if you have.
> 
> Yes, now I can confirm this.
> I was not able to reproduce this neither in a sid chroot nor in a sid
> chroot upgraded from woody.
> 
> Additionally I was able to generate all locales using the readline
> interface from debconf. Btw it was easier to select all locales with
> readline interface by pasting the output of seq 2 296 to the debconf
> question :-)
> 
> Funny thing is, that debconf dialog interface is different in my sid
> chroots to the one on my sid-machine. 
> Visible difference: on the sid-machine, as on my woody-machine dialog
> interface shows a big 'X' when selecting a locale, in chroot
> environments it's an asterisk.
>
> PS: Could you reassign this bug to debconf since I'm no wizard in bts
> handling

Locales has so much entries to select (I hit space key 296 times! :-),
so some program installed on your machine does not work properly.

I'm not debconf expert and it's not locales problem, so I reassign
this bug to debconf.  But if you find this problem is your machine
specific, please send such mention to this bug because debconf
maintainer may be also embarrassed.

Regards,
-- gotom





Bug reassigned from package `locales' to `debconf'. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#182683; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #49 received at 182683@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
Cc: 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 15:03:43 +0100
On Fri, Feb 28, 2003 at 01:08:04PM +0100, Joerg Friedrich wrote:
> Denis Barbier schrieb am Freitag, 28. Februar 2003 um 08:42:49 +0100:
> > On Thu, Feb 27, 2003 at 10:03:14AM +0100, Joerg Friedrich wrote:
> > You could also try running
> >    DEBCONF_DEBUG=developer dpkg-reconfigure locales
> > to see if you can debug it.
> 
> Yes, got it!
> This was shown after selecting all locales in the first debconf question
> (dialog-interface):
> debconf (developer): Input value, "¬°@¬°@es_CR.UTF-8 UTF-8" not found in
> C choices! This should never happen. Perhaps the templates were
> incorrectly localized.
> debconf (developer): --> 0 ok
> debconf (developer): <-- GET locales/locales_to_be_generated
> debconf (developer): --> 0 es_DO ISO-8859-1, es_DO.UTF-8 UTF-8, es_EC
> ISO-8859-1, es_EC.UTF-8 UTF-8, es_ES ISO-8859-1, es_ES.UTF-8 UTF-8,
> es_ES.UTF-8@euro UTF-8,

It does certainly mean that your /var/cache/debconf/config.dat file is
corrupted, check the 'locales' variable definition in the
locales/locales_to_be_generated question.

Anyway you will find that locales are regenerated each time the locales
package is upgraded.  As it takes a very long time on my slow machine,
I choose another solution:
    cat /usr/share/i18n/SUPPORTED > /etc/locale.gen
    locale-gen 
    :> /etc/locale.gen

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, debconf@packages.qa.debian.org:
Bug#182683; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #54 received at 182683@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Denis Barbier <barbier@linuxfr.org>, 182683@bugs.debian.org
Cc: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 13:59:26 -0500
[Message part 1 (text/plain, inline)]
Denis Barbier wrote:
> > Yes, got it!
> > This was shown after selecting all locales in the first debconf question
> > (dialog-interface):
> > debconf (developer): Input value, "¬°@¬°@es_CR.UTF-8 UTF-8" not found in
> > C choices! This should never happen. Perhaps the templates were
> > incorrectly localized.
> > debconf (developer): --> 0 ok
> > debconf (developer): <-- GET locales/locales_to_be_generated
> > debconf (developer): --> 0 es_DO ISO-8859-1, es_DO.UTF-8 UTF-8, es_EC
> > ISO-8859-1, es_EC.UTF-8 UTF-8, es_ES ISO-8859-1, es_ES.UTF-8 UTF-8,
> > es_ES.UTF-8@euro UTF-8,
> 
> It does certainly mean that your /var/cache/debconf/config.dat file is
> corrupted, check the 'locales' variable definition in the
> locales/locales_to_be_generated question.

I don't follow your resoning Dennis. It would help to have the _full_
DEBCONF_DEBUG=developer transcript, not just the tail end of it.

Much more telling for me was this:

Joerg Friedrich wrote:
> Yes, now I can confirm this.
> I was not able to reproduce this neither in a sid chroot nor in a sid
> chroot upgraded from woody.
> 
> Additionally I was able to generate all locales using the readline
> interface from debconf. Btw it was easier to select all locales with
> readline interface by pasting the output of seq 2 296 to the debconf
> question :-)
> 
> Funny thing is, that debconf dialog interface is different in my sid
> chroots to the one on my sid-machine.
> Visible difference: on the sid-machine, as on my woody-machine dialog
> interface shows a big 'X' when selecting a locale, in chroot
> environments it's an asterisk.

The fact that the readline interface works points to a problem with just
the dialog frontend. You have whiptail inside the chroots, and only dialog
outside. So it is probably a bad interaction between debconf and the dialog
program. Try installing whiptail and see if that fixes the problem outside
your chroots.

In my own tests, I think I have reproduced it using dialog and not with
whiptail.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#182683; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to maintainer. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #59 received at 182683-maintonly@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 182683-maintonly@bugs.debian.org
Cc: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Fri, 28 Feb 2003 22:47:40 +0100
On Fri, Feb 28, 2003 at 01:59:26PM -0500, Joey Hess wrote:
[...]
> > It does certainly mean that your /var/cache/debconf/config.dat file is
> > corrupted, check the 'locales' variable definition in the
> > locales/locales_to_be_generated question.
> 
> I don't follow your resoning Dennis.
[...]

My brain was dead, sorry.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#182683; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #64 received at 182683@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: Joey Hess <joeyh@debian.org>
Cc: Denis Barbier <barbier@linuxfr.org>, 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Sat, 1 Mar 2003 10:17:34 +0100
[Message part 1 (text/plain, inline)]
Joey Hess schrieb am Freitag, 28. Februar 2003 um 13:59:26 -0500:
> Denis Barbier wrote:
> > > Yes, got it!
> > > This was shown after selecting all locales in the first debconf question
> > > (dialog-interface):
> > > debconf (developer): Input value, "¬°@¬°@es_CR.UTF-8 UTF-8" not found in
> > > C choices! This should never happen. Perhaps the templates were
> > > incorrectly localized.
> > > debconf (developer): --> 0 ok
> > > debconf (developer): <-- GET locales/locales_to_be_generated
> > > debconf (developer): --> 0 es_DO ISO-8859-1, es_DO.UTF-8 UTF-8, es_EC
> > > ISO-8859-1, es_EC.UTF-8 UTF-8, es_ES ISO-8859-1, es_ES.UTF-8 UTF-8,
> > > es_ES.UTF-8@euro UTF-8,
> > 
> > It does certainly mean that your /var/cache/debconf/config.dat file is
> > corrupted, check the 'locales' variable definition in the
> > locales/locales_to_be_generated question.
> 
> I don't follow your resoning Dennis. It would help to have the _full_
> DEBCONF_DEBUG=developer transcript, not just the tail end of it.

As requested :-) Two transcripts attached

> 
> Much more telling for me was this:

And Joey, you're right! After installing whiptail the problem
disappeared.

-- 
Heute ist nicht alle Tage, ich komm' wieder, keine Frage!!!

   Joerg

When the government bureau's remedies don't match your problem, you modify
the problem, not the remedy.
[debconf.tar.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#182683; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joey@kitenet.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #69 received at 182683@bugs.debian.org (full text, mbox):

From: Joey Hess <joey@kitenet.net>
To: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, control@bugs.debian.org, 182683@bugs.debian.org
Subject: Re: Bug#182683: locales: Cannot generate _all_ locales
Date: Sat, 1 Mar 2003 21:11:00 -0500
[Message part 1 (text/plain, inline)]
reassign 182683 dialog
retitle 182683 buffer overflow in checklist output
thanks

Joerg Friedrich wrote:
> And Joey, you're right! After installing whiptail the problem
> disappeared.

I have reduced the dialog problem to a simple test case. Attached to
this message is a shell script that just runs dialog like debconf does
for the first locales question. Run it, and direct stderr to a file.
Everything will be selected, just hit enter in dialog. Now examine the
file. Mine started like this:

¤À^R@¤À^R@es_CR ISO-8859-1
es_CR.UTF-8 UTF-8
es_DO ISO-8859-1
es_DO.UTF-8 UTF-8
es_EC ISO-8859-1
es_EC.UTF-8 UTF-8
es_ES ISO-8859-1
es_ES.UTF-8 UTF-8
es_ES.UTF-8@euro UTF-8
es_ES@euro ISO-8859-15
es_GT ISO-8859-1
es_GT.UTF-8 UTF-8
es_HN ISO-8859-1
es_HN.UTF-8 UTF-8
es_MX ISO-8859-1

Looks like a buffer overflow in dialog.

-- 
see shy jo
[l (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Bug reassigned from package `debconf' to `dialog'. Request was from Joey Hess <joey@kitenet.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joey@kitenet.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #76 received at 182683-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683-forwarded@bugs.debian.org, Joey Hess <joey@kitenet.net>
Subject: Bug#182683: buffer overflow in checklist output
Date: Sun, 2 Mar 2003 11:54:01 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hello.

There seems to be a buffer overflow somewhere in the latest dialog version.

Joey Hess <joey@kitenet.net> writes:

[...]
I have reduced the dialog problem to a simple test case. Attached to
this message is a shell script that just runs dialog like debconf does
for the first locales question. Run it, and direct stderr to a file.
Everything will be selected, just hit enter in dialog. Now examine the
file. Mine started like this:

¤À^R@¤À^R@es_CR ISO-8859-1
es_CR.UTF-8 UTF-8
es_DO ISO-8859-1
es_DO.UTF-8 UTF-8
es_EC ISO-8859-1
es_EC.UTF-8 UTF-8
es_ES ISO-8859-1
es_ES.UTF-8 UTF-8
es_ES.UTF-8@euro UTF-8
es_ES@euro ISO-8859-15
es_GT ISO-8859-1
es_GT.UTF-8 UTF-8
es_HN ISO-8859-1
es_HN.UTF-8 UTF-8
es_MX ISO-8859-1

Looks like a buffer overflow in dialog.
[l (application/octet-stream, attachment)]

Message #77 received at 182683-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>, 182683-forwarded@bugs.debian.org, Joey Hess <joey@kitenet.net>
Subject: Re: Bug#182683: buffer overflow in checklist output
Date: Sun, 2 Mar 2003 12:33:01 -0500
On Sun, Mar 02, 2003 at 11:54:01AM +0100, Santiago Vila wrote:
> Hello.
> 
> There seems to be a buffer overflow somewhere in the latest dialog version.

actually an uninitialized variable.  Here's the fix:

--- util.c	2003/01/31 01:40:14	1.91
+++ util.c	2003/03/02 17:30:13
@@ -1317,6 +1317,7 @@
 	if (dialog_vars.input_length == 0) {
 	    dialog_vars.input_length = want * 2;
 	    dialog_vars.input_result = malloc(dialog_vars.input_length);
+	    dialog_vars.input_result[0] = 0;
 	} else if (want >= dialog_vars.input_length) {
 	    dialog_vars.input_length = want * 2;
 	    dialog_vars.input_result = realloc(dialog_vars.input_result,

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org:
Bug#182683; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>, dialog@packages.qa.debian.org. Full text and rfc822 format available.

Message #82 received at 182683@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 182683@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182683
Date: Sun, 2 Mar 2003 13:22:33 -0500
>                       Debian Bug report logs - #182683
>                      buffer overflow in checklist output
fixed & uploaded new version (ftp://invisible-island.net/dialog)
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 182683-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 182683-close@bugs.debian.org
Subject: Bug#182683: fixed in dialog 0.9b-20030302-1
Date: Sun, 02 Mar 2003 14:02:11 -0500
We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030302-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030302-1.diff.gz
dialog_0.9b-20030302-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030302-1.dsc
dialog_0.9b-20030302-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030302-1_i386.deb
dialog_0.9b-20030302.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030302.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 182683@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Mar 2003 19:45:08 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030302-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 182683
Changes: 
 dialog (0.9b-20030302-1) unstable; urgency=medium
 .
   * New upstream release, fixes uninitialized value in dlg_add_result().
     Closes: #182683.
Files: 
 8efe44e09dd2ef66904a35ca4c543c33 628 misc optional dialog_0.9b-20030302-1.dsc
 7f74814cb903aaa6e5dbf3292d5e331f 215526 misc optional dialog_0.9b-20030302.orig.tar.gz
 b65ef946ea6b268564d95d67511be0ac 6029 misc optional dialog_0.9b-20030302-1.diff.gz
 3381c658f42d3161d47824cc1b1ab11e 113812 misc optional dialog_0.9b-20030302-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE+YlLTd9Uuvj7yPNYRAukBAJ9MDUADsU93aPtHKRE826stIgzBzACeKFGA
fuLRnfsl/qY0YvpLCH6GNuw=
=WwiF
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:33:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.